package client_handlers

import (
	"cpone/utils"
	client_dashboard "cpone/views/client/dashboard"

	"github.com/labstack/echo/v4"
)

type ClientDashboardService interface {
}

func NewClientDashboardHandler(us ClientDashboardService) *ClientDashboardHandler {
	return &ClientDashboardHandler{
		ClientDashboardService: us,
	}
}

type ClientDashboardHandler struct {
	ClientDashboardService ClientDashboardService
}

func (uh *ClientDashboardHandler) ShowClientDashboard(c echo.Context) error {
	helo := client_dashboard.Show()
	return utils.View(c, helo)
}
